------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
function CreateMainWindow()
	YulTheatreWindow=Turbine.UI.Lotro.GoldWindow(); 
	YulTheatreWindow:SetSize(210,270); 

	YulTheatreWindow:SetText(Strings.PluginName); 
	YulTheatreWindow.Message=Turbine.UI.Label(); 
	YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
	YulTheatreWindow.Message:SetSize(150,15); 
	YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 75, YulTheatreWindow:GetHeight()/2 - 90); 
	YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	YulTheatreWindow.Message:SetText(Strings.PluginChar1);
	YulTheatreWindow:SetWantsKeyEvents(true);

	YulTheatreWindow.Message=Turbine.UI.Label(); 
	YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
	YulTheatreWindow.Message:SetSize(150,15); 
	YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 75, YulTheatreWindow:GetHeight()/2 - 16); 
	YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	YulTheatreWindow.Message:SetText(Strings.PluginChar2); 

	YulTheatreWindow.Message=Turbine.UI.Label(); 
	YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
	YulTheatreWindow.Message:SetSize(150,15); 
	YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 75, YulTheatreWindow:GetHeight()/2 + 58); 
	YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	YulTheatreWindow.Message:SetText(Strings.PluginChar3); 

	YulTheatreButton = Turbine.UI.Label();
	YulTheatreButton:SetParent( YulTheatreWindow );
	YulTheatreButton:SetPosition(YulTheatreWindow:GetWidth()/2 - 65, YulTheatreWindow:GetHeight()/2 - 98);
	YulTheatreButton:SetSize( 25, 25 );
	YulTheatreButton:SetBackground(ResourcePath .. "/heros.tga");
	YulTheatreButton:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	YulTheatreButton:SetVisible(true);

	YulTheatreButton = Turbine.UI.Label();
	YulTheatreButton:SetParent( YulTheatreWindow );
	YulTheatreButton:SetPosition(YulTheatreWindow:GetWidth()/2 - 65, YulTheatreWindow:GetHeight()/2 - 23);
	YulTheatreButton:SetSize( 25, 25 );
	YulTheatreButton:SetBackground(ResourcePath .. "/mechant.tga");
	YulTheatreButton:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	YulTheatreButton:SetVisible(true);

	YulTheatreButton = Turbine.UI.Label();
	YulTheatreButton:SetParent( YulTheatreWindow );
	YulTheatreButton:SetPosition(YulTheatreWindow:GetWidth()/2 - 65, YulTheatreWindow:GetHeight()/2 + 50);
	YulTheatreButton:SetSize( 25, 25 );
	YulTheatreButton:SetBackground(ResourcePath .. "/serviteur.tga");
	YulTheatreButton:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	YulTheatreButton:SetVisible(true);

	------------------------------------------------------------------------------------------
	-- text position emote
	------------------------------------------------------------------------------------------
	YulTheatreWindow.Message=Turbine.UI.Label(); 
	YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
	YulTheatreWindow.Message:SetSize(150,15); 
	YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 160, YulTheatreWindow:GetHeight()/2 - 52); 
	YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	YulTheatreWindow.Message:SetText("3"); 

	YulTheatreWindow.Message=Turbine.UI.Label(); 
	YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
	YulTheatreWindow.Message:SetSize(150,15); 
	YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 100, YulTheatreWindow:GetHeight()/2 - 52); 
	YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	YulTheatreWindow.Message:SetText("6"); 

	YulTheatreWindow.Message=Turbine.UI.Label(); 
	YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
	YulTheatreWindow.Message:SetSize(150,15); 
	YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 40, YulTheatreWindow:GetHeight()/2 - 52); 
	YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	YulTheatreWindow.Message:SetText("8"); 

	YulTheatreWindow.Message=Turbine.UI.Label(); 
	YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
	YulTheatreWindow.Message:SetSize(150,15); 
	YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 160, YulTheatreWindow:GetHeight()/2 + 22); 
	YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	YulTheatreWindow.Message:SetText("2"); 

	YulTheatreWindow.Message=Turbine.UI.Label(); 
	YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
	YulTheatreWindow.Message:SetSize(150,15); 
	YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 100, YulTheatreWindow:GetHeight()/2 + 22); 
	YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	YulTheatreWindow.Message:SetText("5"); 

	YulTheatreWindow.Message=Turbine.UI.Label(); 
	YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
	YulTheatreWindow.Message:SetSize(150,15); 
	YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 40, YulTheatreWindow:GetHeight()/2 + 22); 
	YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	YulTheatreWindow.Message:SetText("9"); 

	YulTheatreWindow.Message=Turbine.UI.Label(); 
	YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
	YulTheatreWindow.Message:SetSize(150,15); 
	YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 160, YulTheatreWindow:GetHeight()/2 + 95); 
	YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	YulTheatreWindow.Message:SetText("1"); 

	YulTheatreWindow.Message=Turbine.UI.Label(); 
	YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
	YulTheatreWindow.Message:SetSize(150,15); 
	YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 100, YulTheatreWindow:GetHeight()/2 + 95); 
	YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	YulTheatreWindow.Message:SetText("4"); 

	YulTheatreWindow.Message=Turbine.UI.Label(); 
	YulTheatreWindow.Message:SetParent(YulTheatreWindow); 
	YulTheatreWindow.Message:SetSize(150,15); 
	YulTheatreWindow.Message:SetPosition(YulTheatreWindow:GetWidth()/2 - 40, YulTheatreWindow:GetHeight()/2 + 95); 
	YulTheatreWindow.Message:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter); 
	YulTheatreWindow.Message:SetText("7"); 


	YulTheatreWindow:SetPosition(settings.positionX, settings.positionY);

	------------------------------------------------------------------------------------------
	-- yel helper center window
	------------------------------------------------------------------------------------------
	centerWindow = Turbine.UI.Extensions.SimpleWindow();
	centerWindow:SetSize( 36 , 36 );
	centerWindow:SetParent( YulTheatreWindow );
	centerWindow:SetPosition( 31 ,YulTheatreWindow:GetHeight()/2 - 65);
	centerWindow:SetVisible( true );
	centerWindow:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow2 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow2:SetSize( 36 , 36 );
	centerWindow2:SetParent( YulTheatreWindow );
	centerWindow2:SetPosition( 91 ,YulTheatreWindow:GetHeight()/2 - 65);
	centerWindow2:SetVisible( true );
	centerWindow2:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow3 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow3:SetSize( 36 , 36 );
	centerWindow3:SetParent( YulTheatreWindow );
	centerWindow3:SetPosition( 151,YulTheatreWindow:GetHeight()/2 - 65);
	centerWindow3:SetVisible( true );
	centerWindow3:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow4 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow4:SetSize( 36 , 36 );
	centerWindow4:SetParent( YulTheatreWindow );
	centerWindow4:SetPosition( 31,YulTheatreWindow:GetHeight()/2 + 8);
	centerWindow4:SetVisible( true );
	centerWindow4:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow5 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow5:SetSize( 36 , 36 );
	centerWindow5:SetParent( YulTheatreWindow );
	centerWindow5:SetPosition( 91,YulTheatreWindow:GetHeight()/2 + 8);
	centerWindow5:SetVisible( true );
	centerWindow5:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5));

	centerWindow6 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow6:SetSize( 36 , 36 );
	centerWindow6:SetParent( YulTheatreWindow );
	centerWindow6:SetPosition( 151,YulTheatreWindow:GetHeight()/2 + 8);
	centerWindow6:SetVisible( true );
	centerWindow6:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5));

	centerWindow7 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow7:SetSize( 36 , 36 );
	centerWindow7:SetParent( YulTheatreWindow );
	centerWindow7:SetPosition( 31,YulTheatreWindow:GetHeight()/2 + 82);
	centerWindow7:SetVisible( true );
	centerWindow7:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow8 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow8:SetSize( 36 , 36 );
	centerWindow8:SetParent( YulTheatreWindow );
	centerWindow8:SetPosition( 91,YulTheatreWindow:GetHeight()/2 + 82);
	centerWindow8:SetVisible( true );
	centerWindow8:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerWindow9 = Turbine.UI.Extensions.SimpleWindow();
	centerWindow9:SetSize( 36 , 36 );
	centerWindow9:SetParent( YulTheatreWindow );
	centerWindow9:SetPosition( 151,YulTheatreWindow:GetHeight()/2 + 82);
	centerWindow9:SetVisible( true );
	centerWindow9:SetBackColor( Turbine.UI.Color( .6, .5, .7, .5) );

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow2);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow3);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow4);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow5);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow6);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow7);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow8);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerLabel = Turbine.UI.Label();
	centerLabel:SetParent(centerWindow9);
	centerLabel:SetPosition( 0, 0 );
	centerLabel:SetSize( 36, 36  );
	centerLabel:SetText( "" );
	centerLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleCenter );
	centerLabel:SetZOrder(-1);
	centerLabel:SetMouseVisible(false);

	centerQS1 = Turbine.UI.Lotro.Quickslot();
	centerQS1:SetParent( centerWindow );
	centerQS1:SetPosition( 0, 0 );
	centerQS1:SetSize( 35, 35 );
	centerQS1:SetUseOnRightClick(false);

	centerQS2 = Turbine.UI.Lotro.Quickslot();
	centerQS2:SetParent( centerWindow2 );
	centerQS2:SetPosition( 0, 0 );
	centerQS2:SetSize( 35, 35 );
	centerQS2:SetUseOnRightClick(false);

	centerQS3 = Turbine.UI.Lotro.Quickslot();
	centerQS3:SetParent( centerWindow3 );
	centerQS3:SetPosition( 0, 0 );
	centerQS3:SetSize( 35, 35 );
	centerQS3:SetUseOnRightClick(false);

	centerQS4 = Turbine.UI.Lotro.Quickslot();
	centerQS4:SetParent( centerWindow4 );
	centerQS4:SetPosition( 0, 0 );
	centerQS4:SetSize( 35, 35 );
	centerQS4:SetUseOnRightClick(false);

	centerQS5 = Turbine.UI.Lotro.Quickslot();
	centerQS5:SetParent( centerWindow5 );
	centerQS5:SetPosition( 0, 0 );
	centerQS5:SetSize( 35, 35 );
	centerQS5:SetUseOnRightClick(false);

	centerQS6 = Turbine.UI.Lotro.Quickslot();
	centerQS6:SetParent( centerWindow6 );
	centerQS6:SetPosition( 0, 0 );
	centerQS6:SetSize( 35, 35 );
	centerQS6:SetUseOnRightClick(false);

	centerQS7 = Turbine.UI.Lotro.Quickslot();
	centerQS7:SetParent( centerWindow7 );
	centerQS7:SetPosition( 0, 0 );
	centerQS7:SetSize( 35, 35 );
	centerQS7:SetUseOnRightClick(false);

	centerQS8 = Turbine.UI.Lotro.Quickslot();
	centerQS8:SetParent( centerWindow8 );
	centerQS8:SetPosition( 0, 0 );
	centerQS8:SetSize( 35, 35 );
	centerQS8:SetUseOnRightClick(false);

	centerQS9 = Turbine.UI.Lotro.Quickslot();
	centerQS9:SetParent( centerWindow9 );
	centerQS9:SetPosition( 0, 0 );
	centerQS9:SetSize( 35, 35 );
	centerQS9:SetUseOnRightClick(false);
end